function ret= my_test(net,P_test,R_test)

P_test = P_test';
R_test = R_test';
R_get = round(sim(net,P_test));  %network simulation itself
[rows,patterns_num] = size(R_get); %get number of patterns 

b_size = 8; %helpful variable 
%board_size is actually 7x7 ( in P_test ) 
%but answers are expressed towards 9x9 boardsize => transformation is neccessary 

out=0;
stone=0;
max_err=6;  %results which are furhter (from the demanded result ) than this are supposed to be a failure  

%Evaluation: 
%Metrics used is sum(abs(R_get-R_test),1) 
%difference :  0 ---> max_err points ; 1 ---> max_err - 1 points; ... >= max_err ---> 0 points
%also moves proposed out of borders ( including 1st line ) or to places already ocupied by different stones 
%are rated 0 points. Final result is given in percentage :   100 * ( points_reached / max_possible_score ) 
%where max_possible_score is naturally max_err * patterns_num =))

for i = 1:patterns_num  %resolve fatal mistakes 
	if ((R_get(1,i) < 2) || (R_get(1,i) > 8) ) || ((R_get(2,i) < 2) || (R_get(2,i) > 8) )  %out of border
		%fprintf('Answer to the %d-th testing patern [%d,%d] is incorrect -> out of bounds\n',i,R_get(1,i),R_get(2,i));
		out=out+1;  
		R_get(1,i)=0;   %set actual value to be recognized as for 0 po
		R_get(2,i)=2*max_err;
	else %it is a correct move  
		if ((( P_test((b_size - R_get(2,i))*7 + (R_get(1,i)-1),i)) == 0))  %stone is already there
			;
		else
			%for j=1:49 
			%	fprintf('%d',P_test(j,i));
			%end
		%	fprintf('\nCorrect :  [%d,%d] .\n',R_test(1,i),R_test(2,i));
		%	fprintf('Answer to the %d-th testing patern [%d,%d] is incorrect -> stone already	there.\n',i,R_get(1,i),R_get(2,i));
			stone=stone+1;
			R_get(1,i)=0;   %set actual value to be recognized as for 0 po
			R_get(2,i)=2*max_err;
			;
		end
	end
end 

fprintf('-------------Testing results-------------\n');  
fprintf('>>> Total %d testing patterns \n',patterns_num);  
res=sum(abs(R_get - R_test),1); %count difference between demanded and counted results
score=[];

%count score
for i = 0:max_err;
	if i < max_err 
	 [rows,cols] = size(find(res==i));
	else
	 [rows,cols] = size(find(res>=i));
	end
 score=[score cols];
 fprintf('>>>Distance %d  ---> %d results\n',i,cols);  

end 

eff = score * (abs(((-1)*max_err):0))' / (patterns_num * max_err);
eff = round ( 100 * eff );

fprintf('>>>Out of bounds %d\n',out);  
fprintf('>>>Stone already there %d\n',stone);  
fprintf('>>>Efficiency: %d%%\n',eff);
fprintf('---------------------\n');  

